#!/usr/bin/env node



const fs = require("fs");
const path = require("path");
const { analyzeCode } = require("./parser");
const generateReadme = require("./template");

const filePath = process.argv[2];

if (!filePath) {
  console.error("❌ Please provide a JavaScript file path.");
  process.exit(1);
}

if (!fs.existsSync(filePath)) {
  console.error("❌ File not found:", filePath);
  process.exit(1);
}

const result = analyzeCode(filePath);
const content = generateReadme(path.basename(filePath), result);

fs.writeFileSync("README.md", content);
console.log("✅ README.md generated successfully.");
