function generateReadme(fileName, data) {
    const { functions, classes } = data;
  
    let md = `# 📘 Auto-Generated README
  
  ## 📄 Analyzed File: \`${fileName}\`
  
  ---
  
  ## 🧠 Extracted Functions
  
  ${functions.length ? functions.map(fn =>
  `### 🔹 ${fn.name}()
  ${fn.doc ? `\`\`\`\n${fn.doc}\n\`\`\`` : "_No documentation provided._"}
  `).join("\n") : "_No functions found._"}
  
  ---
  
  ## 🧱 Extracted Classes
  
  ${classes.length ? classes.map(cls =>
  `### 🔸 ${cls.name}
  ${cls.doc ? `\`\`\`\n${cls.doc}\n\`\`\`` : "_No documentation provided._"}
  `).join("\n") : "_No classes found._"}
  
  ---
  
  🛠 *Generated using \`code-analyzer-readme-generator\`*
  `;
  
    return md;
  }
  
  module.exports = generateReadme;
  